# Source Han Mono

*Source Han Mono*, which is derived from [*Source Han Sans*](https://github.com/adobe-fonts/source-han-sans/) and [*Source Code Pro*](https://github.com/adobe-fonts/source-code-pro/), is an OpenType/CFF Collection (OTC) that includes 70 font instances&mdash;consisting of seven weights, five languages, and two styles&mdash;and is a Pan-CJK version of [*Source Han Code JP*](https://github.com/adobe-fonts/source-han-code-jp/). This open source project provides all of the source files that are necessary to build this OpenType/CFF Collection by using the [AFDKO](https://github.com/adobe-type-tools/afdko/) *makeotf*, *tx*, *sfntedit*, and *otf2otc* tools.

## Downloading the Super OTC

The 70-font OpenType/CFF Collection, *SourceHanMono.ttc*, which is called a *Super OTC* due to its large number of font instances, can be easily downloaded from the [Latest Release](../../releases/latest/).

Please be advised that the ZIP file for the [Latest Release](../../releases/latest/), which includes all of the source files and other collateral, is approximately 3.25GB.

## Building the Super OTC from source

### Requirements

To build the Super OTC from source, you need to have installed the [Adobe Font Development Kit for OpenType](https://github.com/adobe-type-tools/afdko/) (AFDKO). The AFDKO tools are widely used for font development today, and are part of most font editor applications.

### Building the source OTFs and Super OTC

In this repository, all necessary files are in place for building the source OpenType/CFF fonts and the Super OTC. The [COMMANDS.txt](COMMANDS.txt) file provides the command lines that are used to build the source OTFs and Super OTC. Because the source OTFs are considered the *source* for the Super OTC, they are included in pre-built and fully-functional form.

## Getting involved

Send suggestions for changes to the *Source Han Mono* project maintainer, [Dr. Ken Lunde](mailto:lunde@adobe.com?subject=[GitHub]%20Source%20Han%20Mono), for consideration.

## Further information

For information about the design and background of *Source Han Mono*, please refer to the [ReadMe](https://github.com/adobe-fonts/source-han-mono/raw/master/SourceHanMonoReadMe.pdf) (PDF).
